#ifndef	_EVideoDialog_h
#define _EVideoDialog_h

#include <Video.h.h>
#include <EGUI/Dialog.h>

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
extern "C" {
#endif

extern Widget	Ev_VideoSourceW,Ev_VideoXSizeW,Ev_VideoYSizeW,Ev_VideoSizeW,
		Ev_VideoBrightnessW,Ev_VideoContrastW,Ev_VideoSaturationW,
		Ev_VideoLiveW,Ev_FrameRateW;

extern EdDialog	Ev_CreateVideoSetupDialog(Widget LParentW,void (*LCallback)(),EvVLSetup* LVLSetup);
extern void	Ev_FreeVideoSetupDialogs(void);
extern void	Ev_SetVideoSourceW();
extern void	Ev_SetVideoSizeW();

#if defined (__cplusplus) && (!(defined (__CPLUSLIBS)))
}	// Close scope of 'extern "C"' declaration which encloses file.
#endif

#endif // _EVideoDialog_h
